import { formatHour } from '../utils/models/DateTimePickerEditable';
export declare class DateTimePickerEditableService {
    private showLabel;
    private openWhenFocus;
    private goNextWhenSelect;
    private validatorMessage;
    private tooltipMessage;
    private submitted;
    private format;
    private clearable;
    private autoCompleteHours;
    constructor(showLabel?: boolean, openWhenFocus?: boolean, goNextWhenSelect?: boolean, validatorMessage?: boolean, tooltipMessage?: boolean, submitted?: boolean, format?: formatHour, clearable?: boolean, autoCompleteHours?: boolean);
    getShowLabel(): boolean;
    getOpenWhenFocus(): boolean;
    getGoNextWhenSelect(): boolean;
    getValidatorMessage(): boolean;
    getTooltipMessage(): boolean;
    getSubmitted(): boolean;
    getFormat(): formatHour;
    getClearable(): boolean;
    getAutoCompleteHours(): boolean;
}
