import { ChangeDetectorRef, OnInit } from '@angular/core';
import { GridApi } from 'ag-grid-community';
export declare class ScAgGridPaginationComponent implements OnInit {
    private readonly _changeRef;
    idScAgGridPaginationComponent: string;
    paginationPageSize: number;
    gridApi?: GridApi;
    pageSizeOptions: number[];
    _pageFrom: number;
    _pageUp: number;
    _pageFound: boolean;
    pages: number[];
    constructor(_changeRef: ChangeDetectorRef);
    ngOnInit(): void;
    onPaginationGoToFirstPage(): void;
    onPaginationGoToPreviousPage(): void;
    onPaginationGoToPage(page: number): void;
    onPaginationGoToNextPage(): void;
    onPaginationGoToLastPage(): void;
    onPageSizeChanged(evt: any): void;
    onPaginationChanged(): void;
}
