import { NgbTimeStruct, NgbDateStruct } from '@ng-bootstrap/ng-bootstrap';
export interface NgbDateTimeStruct extends NgbDateStruct, NgbTimeStruct {
}
export declare class DateTimeModel implements NgbDateTimeStruct {
    year: number;
    month: number;
    day: number;
    hour: number;
    minute: number;
    second: number;
    timeZoneOffset: number;
    constructor(init?: Partial<DateTimeModel>);
    static fromLocalString(dateString: string): DateTimeModel | any;
    private isInteger;
    toString(): string | any;
}
