import { NgbDateStruct, NgbDatepickerI18n } from '@ng-bootstrap/ng-bootstrap';
interface I18N {
    fr: {
        weekdays: string[];
        months: string[];
    };
}
export declare class I18n {
    language: keyof I18N;
}
export declare class CustomDatepickerI18n extends NgbDatepickerI18n {
    private _i18n;
    constructor(_i18n: I18n);
    getWeekdayShortName(weekday: number): string;
    getMonthShortName(month: number): string;
    getMonthFullName(month: number): string;
    getDayAriaLabel(date: NgbDateStruct): string;
    getWeekdayLabel(weekday: number): string;
}
export {};
