import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { AbstractControl, ValidationErrors } from '@angular/forms';
import { NgSelectComponent } from '@ng-select/ng-select';
import { Observable } from 'rxjs';
import { SharedComponentsUtil } from '../utils/classes/SharedComponentsUtil';
import { MessageUtilService } from '../utils/service/message-util.service';
import { NgSelectMultipleService } from './ng-select-multiple.service';
export declare class NgSelectMultipleComponent implements OnInit, OnChanges, OnDestroy {
    private cdrf;
    private messageUtilService;
    private ngSelectMultipleService;
    ngSelectMultiple: NgSelectComponent;
    onChange: (_: any) => void;
    onTouched: () => void;
    onValidationChange: () => void;
    items: Observable<any[]>;
    showlimit: number;
    showLabel: boolean;
    label: any;
    autocomplete: string;
    Header: boolean;
    Footer: boolean;
    required: boolean;
    next: any;
    nextIsDisable: any;
    back: any;
    backIsDisable: any;
    disabled: boolean;
    readonly: boolean;
    openWhenFocus: boolean;
    markFirst: boolean;
    labelInfo: boolean;
    textLabelInfo: string;
    validatorMessage: boolean;
    tooltipMessage: boolean;
    validatorAlert: boolean;
    submitted: boolean;
    refresh: boolean;
    isForFilter: boolean;
    appendTo: any;
    Language: any;
    virtualScroll: boolean;
    loading: boolean;
    loadingText: string;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    change: EventEmitter<any>;
    blur: EventEmitter<any>;
    onfocus: EventEmitter<any>;
    onrefresh: EventEmitter<any>;
    sharedComponentsUtil: SharedComponentsUtil;
    _value: any;
    controls: any;
    all: any;
    checkedAll: boolean;
    checkedIndeterminate: boolean;
    private items$;
    constructor(cdrf: ChangeDetectorRef, messageUtilService: MessageUtilService, ngSelectMultipleService: NgSelectMultipleService);
    ngOnDestroy(): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    ngOnChanges(changes: SimpleChanges): void;
    carga(): Promise<void>;
    checkIfObservable(items: any): boolean;
    eventFocus(e: any): void;
    eventBlur(e: any): void;
    focus: () => void;
    onRefresh(): void;
    close: () => void;
    ngOnInit(): void;
    setAll(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    selectAll(e: any): void;
    eventChange(e: any): void;
    rightKeyUp(): void;
    leftKeyUp(): void;
}
